org.h2gis.functions.spatial.edit

## Class ST_Reverse3DLine

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_Reverse3DLine

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Reverse3DLine
    extends org.h2gis.api.DeterministicScalarFunction

Returns a 1 dimension geometry with vertex order reversed according the start and the end z values.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Reverse3DLine()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.MultiLineString` `reverse3D(org.locationtech.jts.geom.MultiLineString multiLineString, String order)` Reverses a multilinestring according to z value.
`static org.locationtech.jts.geom.Geometry` `reverse3DLine(org.locationtech.jts.geom.Geometry geometry)` Returns a 1 dimension geometry with vertex order reversed using the ascending value.
`static org.locationtech.jts.geom.Geometry` `reverse3DLine(org.locationtech.jts.geom.Geometry geometry, String order)` Returns a 1 dimension geometry with vertex order reversed according values ascending (asc) or descending (desc)

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Reverse3DLine

    public ST_Reverse3DLine()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### reverse3DLine

    public static org.locationtech.jts.geom.Geometry reverse3DLine(org.locationtech.jts.geom.Geometry geometry)

Returns a 1 dimension geometry with vertex order reversed using the ascending value.

Parameters:
  `geometry` -
Returns:

#### reverse3DLine

    public static org.locationtech.jts.geom.Geometry reverse3DLine(org.locationtech.jts.geom.Geometry geometry,
                                                                   String order)

Returns a 1 dimension geometry with vertex order reversed according values ascending (asc) or descending (desc)

Parameters:
  `geometry` -
  `order` -
Returns:

#### reverse3D

    public static org.locationtech.jts.geom.MultiLineString reverse3D(org.locationtech.jts.geom.MultiLineString multiLineString,
                                                                      String order)

Reverses a multilinestring according to z value. If asc : the z first point must be lower than the z end point if desc : the z first point must be greater than the z end point

Parameters:
  `multiLineString` -
Returns: